# MediaGroupMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.abstracts / MediaGroupMessage

# MediaGroupMessage

(common) `interface MediaGroupMessage : CommonMessage<MediaGroupContent>` (source)

### Properties

(common)

#### mediaGroupId

`abstract val mediaGroupId: MediaGroupIdentifier`

### Extension Functions

(common)

#### delete

`suspend fun Message.delete(requestsExecutor: RequestsExecutor): Boolean`

### Inheritors

(common)

#### ChannelMediaGroupMessage

`data class ChannelMediaGroupMessage : MediaGroupMessage`

(common)

#### CommonMediaGroupMessage

`data class CommonMediaGroupMessage : MediaGroupMessage, FromUserMessage`